[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomComboBoxEx.Style

Specifies the control style used for the edit in the combo-box control.

## Declaration

Source position: comboex.pas line 182

`public property TCustomComboBoxEx.Style : TComboBoxExStyle read FStyle write SetStyle default cDefStyle;`

## Description

Style is a TComboBoxExStyle property which specifies the control style used for the control. This is a narrower range of values than those used in the TCustomComboBox ancestor class; the owner drawn options are not needed in this class. The following values are used:

csExDropDown
  Displays an edit control with a button to make the drop down visible
csExSimple
  Displays an edit control only
csExDropDownList
  Displays a read-only value with a button to make the drop down visible

The default value for the property is set using the cDefStyle constant.